#
# spec file for package libgringotts
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define         _soname 2

Name:           libgringotts
Version:        1.2.1
Release:        4.1
License:        GPL-2.0
Summary:        Gringotts data encapsulation and encryption library
Url:            http://gringotts.shlomifish.org/
Group:          Development/Libraries/C and C++
Source:         http://mirror.amdmi3.ru/berlios/download.berlios.de/gringotts/%{name}-%{version}.tar.bz2
BuildRequires:  autoconf
BuildRequires:  libtool
BuildRequires:  libmcrypt-devel
BuildRequires:  mhash-devel
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(bzip2)
BuildRequires:  pkgconfig(zlib)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A small, easy-to-use, thread-safe C library originally developed for Gringotts;
its purpose is to encapsulate data (generic: ASCII but also binary data) in an
encrypted and compressed file. It uses strong encryption algorithms, to ensure
the data is as safe as possible, and allows the user to have the complete
control over all the algorithms used in the process.
For encryptions, libgringotts makes use of the MCrypt and MHash C libraries by
Nikos Mavroyanopoulos.

%package -n %{name}%{_soname}
Summary:        Gringotts data encapsulation and encryption library
Group:          System/Libraries

%description -n %{name}%{_soname}
A small, easy-to-use, thread-safe C library originally developed for Gringotts;
its purpose is to encapsulate data (generic: ASCII but also binary data) in an
encrypted and compressed file. It uses strong encryption algorithms, to ensure
the data is as safe as possible, and allows the user to have the complete
control over all the algorithms used in the process.
For encryptions, libgringotts makes use of the MCrypt and MHash C libraries by
Nikos Mavroyanopoulos.

%package devel
Summary:        Development files for the Gringotts data encap and encryption library
Group:          Development/Libraries/C and C++
Requires:       %{name}%{_soname} = %{version}

%description devel
This package contains the headers files needed for software development using
the libgringotts data encapsulation library.

%prep
%setup -q

%build
autoconf -f -i
%configure --disable-static
make %{?_smp_mflags}

%install
%make_install
find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print
rm -rf %{buildroot}%{_datadir}/doc

%post -n %{name}%{_soname} -p /sbin/ldconfig

%postun -n %{name}%{_soname} -p /sbin/ldconfig

%files -n %{name}%{_soname}
%defattr(-,root,root)
%{_libdir}/%{name}.so.*

%files devel
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README TODO docs/manual.htm
%{_includedir}/%{name}.h
#{_libdir}/#{name}.a
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Sat Aug 12 2017 jengelh@inai.de
- RPM group and summary fixes
* Sun Aug  6 2017 mailaender@opensuse.org
- change URL as Berlios is gone
* Mon Sep  1 2014 and.november@opensuse.org
- initial package for openSUSE
